Package com.emc.documentum.rest.model

# Class AtomEntry

java.lang.Object
com.emc.documentum.rest.model.AtomEntry

All Implemented Interfaces:
  `Linkable`

Direct Known Subclasses:
  `Compat71TypeAtomEntryJson`

public class AtomEntry extends Object implements Linkable
Atom entry

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AtomAuthor>`
  `getAuthors()`
  Get atom entry authors
  `AtomContent`
  `getContent()`
  Get atom content in atom entry
  `String`
  `getId()`
  Get atom entry id
  `List<Link>`
  `getLinks()`
  Get atom entry links
  `Date`
  `getPublished()`
  Get atom entry published date
  `String`
  `getSummary()`
  Get atom entry summary
  `String`
  `getTitle()`
  Get atom entry title
  `Date`
  `getUpdated()`
  Get atom entry updated date
  `void`
  `setAuthors(List<AtomAuthor> authors)`
  Set atom entry authors
  `void`
  `setContent(AtomContent content)`
  Set atom content in atom entry
  `void`
  `setId(String id)`
  Set atom entry id
  `void`
  `setLinks(List<Link> links)`
  Set atom entry links
  `void`
  `setPublished(Date published)`
  Set atom entry published date
  `void`
  `setSummary(String summary)`
  Set atom entry summary
  `void`
  `setTitle(String title)`
  Set atom entry title
  `void`
  `setUpdated(Date updated)`
  Set atom entry update date

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtomEntry

    public AtomEntry()

- ## Method Details

  - ### getTitle

    public String getTitle()
    Get atom entry title
    Returns:
      atom entry title

  - ### setTitle

    public void setTitle(String title)
    Set atom entry title
    Parameters:
      `title` - atom entry title

  - ### getId

    public String getId()
    Get atom entry id
    Returns:
      atom entry id

  - ### setId

    public void setId(String id)
    Set atom entry id
    Parameters:
      `id` - atom entry id

  - ### getSummary

    public String getSummary()
    Get atom entry summary
    Returns:
      atom entry summary

  - ### setSummary

    public void setSummary(String summary)
    Set atom entry summary
    Parameters:
      `summary` - atom entry summary

  - ### getPublished

    public Date getPublished()
    Get atom entry published date
    Returns:
      the published date

  - ### setPublished

    public void setPublished(Date published)
    Set atom entry published date
    Parameters:
      `published` - the published date

  - ### getUpdated

    public Date getUpdated()
    Get atom entry updated date
    Returns:
      the updated date

  - ### getLinks

    public List<Link> getLinks()
    Get atom entry links
    Specified by:
      `getLinks` in interface `Linkable`
    Returns:
      atom entry links

  - ### setUpdated

    public void setUpdated(Date updated)
    Set atom entry update date
    Parameters:
      `updated` - the updated date

  - ### getAuthors

    public List<AtomAuthor> getAuthors()
    Get atom entry authors
    Returns:
      atom entry authors

  - ### setLinks

    public void setLinks(List<Link> links)
    Set atom entry links
    Specified by:
      `setLinks` in interface `Linkable`
    Parameters:
      `links` - atom entry links

  - ### setAuthors

    public void setAuthors(List<AtomAuthor> authors)
    Set atom entry authors
    Parameters:
      `authors` - atom entry authors

  - ### getContent

    public AtomContent getContent()
    Get atom content in atom entry
    Returns:
      atom content

  - ### setContent

    public void setContent(AtomContent content)
    Set atom content in atom entry
    Parameters:
      `content` - atom content